# Magento 2 plugin

This is a plugin to add [Magento Open Source](https://business.adobe.com/products/magento/open-source.html) introspection to ZendHQ's ZRay. 

### Info Tab

The `Info` tab displays general information about Magento state.

* **Name**: Magento
* **Edition**: edition name, "commercial" or "community"
* **Version**: current version string
* **Base path**: install path
* **Front controller**: controller class name
* **Action**: action class name

### Config Tab

The `Config` tab displays all settings in tree format.

### Paths Tab

The `Paths` tab displays all defined path names.

### Events Tab

The `Events` tab displays information about Magento 2 events emitted with defined observers.
It exposes the following columns:

* **Event**: The event name
* **Name**: Observer name
* **Observer**: Observer classe

### Listeners Tab

The `Listeners` tab displays information about "before", "around" and "after" listeners and arguments used.
It exposes the following columns:

* **Call**: The observer method call
* **Listener**: Called listener method names
* **Arguments**: Argument values provided to listener methods (cropped).

### Profiler Tab

The `Profiler` tab captures data of Magento inner profiler and columns are as follows:

* **Timer Id**: This gives the name of the block of code being executed
* **Time**: The time it took to complete in milliseconds
* **Average**: The average time it took to complete in milliseconds
* **Count**: Short for Count. This represents the number of times this individual block ran to generate the output required
* **Emalloc**: The amount of memory PHP assigned to this single operation. This is represented in bytes.
* **RealMem**: The actual amount of memory used to perform the operation.