<?php

namespace ZRay\Wordpress;

class Crons
{

	public function beforeExit(&$storage)
	{
		do {
			if (!function_exists('_get_cron_array') || !function_exists('wp_get_schedules') || !function_exists('human_time_diff'))
				break;

			$schedules = [];
			foreach (wp_get_schedules() as $key => $schedule) {
				$schedules[$key] = $schedule['display'];
			}

			$wpCrons = _get_cron_array();
			if (!is_array($wpCrons))
				break;

			foreach ($wpCrons as $time => $crons) {
				foreach ($crons as $name => $cron) {
					foreach ($cron as $subcron) {
						$storage['Crons'][] = array(
							'Hook' => $name,
							'Schedule' => empty($schedules[$subcron['schedule']]) ? $subcron['schedule'] : $schedules[$subcron['schedule']],
							'Next execution' => human_time_diff($time) . (time() > $time ? ' ago' : ''),
							'Arguments' => count($subcron['args']) > 0 ? print_r($subcron['args'], true) : ''
						);
					}
				}
			}
		} while (false);
	}
}